source: configure @ 8358691

Last change on this file since 8358691 was be999a5, checked in by Wilmer van der Gaast <wilmer@…>, at 2010-08-23T23:12:24Z

First step in this merge. Mostly a bzr merge and then a cleanup of conflicts
and parts I want to/have to redo (because of ui-fix).

  • Property mode set to 100755
File size: 16.7 KB
Line 
1#!/bin/sh
2
3##############################
4##  Configurer for BitlBee  ##
5##                          ##
6##  Copyright 2004 Lintux   ##
7##  Copyright 2002 Lucumo   ##
8##############################
9
10prefix='/usr/local/'
11bindir='$prefix/sbin/'
12etcdir='$prefix/etc/bitlbee/'
13mandir='$prefix/share/man/'
14datadir='$prefix/share/bitlbee/'
15config='/var/lib/bitlbee/'
16plugindir='$prefix/lib/bitlbee/'
17includedir='$prefix/include/bitlbee/'
18libevent='/usr/'
19pidfile='/var/run/bitlbee.pid'
20ipcsocket='/var/run/bitlbee.sock'
21pcdir='$prefix/lib/pkgconfig'
22systemlibdirs="/lib /lib64 /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64"
23
24msn=1
25jabber=1
26oscar=1
27yahoo=1
28twitter=1
29twitter=1
30purple=0
31
32debug=0
33strip=1
34gcov=0
35plugins=1
36otr=auto
37
38events=glib
39ldap=0
40ssl=auto
41
42arch=`uname -s`
43cpu=`uname -m`
44
45GLIB_MIN_VERSION=2.4
46
47echo BitlBee configure
48
49while [ -n "$1" ]; do
50        e="`expr "X$1" : 'X--\(.*=.*\)'`"
51        if [ -z "$e" ]; then
52                cat<<EOF
53
54Usage: $0 [OPTIONS]
55
56Option          Description                             Default
57
58--prefix=...    Directories to put files in             $prefix
59--bindir=...                                            $bindir
60--etcdir=...                                            $etcdir
61--mandir=...                                            $mandir
62--datadir=...                                           $datadir
63--plugindir=...                                         $plugindir
64--pidfile=...                                           $pidfile
65--config=...                                            $config
66--ipcsocket=...                                         $ipcsocket
67
68--msn=0/1       Disable/enable MSN part                 $msn
69--jabber=0/1    Disable/enable Jabber part              $jabber
70--oscar=0/1     Disable/enable Oscar part (ICQ, AIM)    $oscar
71--yahoo=0/1     Disable/enable Yahoo part               $yahoo
72--twitter=0/1   Disable/enable Twitter part             $twitter
73
74--purple=0/1    Disable/enable libpurple support        $purple
75
76--debug=0/1     Disable/enable debugging                $debug
77--strip=0/1     Disable/enable binary stripping         $strip
78--gcov=0/1      Disable/enable test coverage reporting  $gcov
79--plugins=0/1   Disable/enable plugins support          $plugins
80--otr=0/1       Disable/enable OTR encryption support   $otr
81
82--events=...    Event handler (glib, libevent)          $events
83--ssl=...       SSL library to use (gnutls, nss, openssl, bogus, auto)
84                                                        $ssl
85
86--target=...    Cross compilation target                same as host
87EOF
88                exit;
89        fi
90        eval "$e"
91        shift;
92done
93
94# Expand $prefix and get rid of double slashes
95bindir=`eval echo "$bindir/" | sed 's/\/\{1,\}/\//g'`
96etcdir=`eval echo "$etcdir/" | sed 's/\/\{1,\}/\//g'`
97mandir=`eval echo "$mandir/" | sed 's/\/\{1,\}/\//g'`
98datadir=`eval echo "$datadir/" | sed 's/\/\{1,\}/\//g'`
99config=`eval echo "$config/" | sed 's/\/\{1,\}/\//g'`
100plugindir=`eval echo "$plugindir/" | sed 's/\/\{1,\}/\//g'`
101includedir=`eval echo "$includedir"/ | sed 's/\/\{1,\}/\//g'`
102libevent=`eval echo "$libevent"/ | sed 's/\/\{1,\}/\//g'`
103
104pidfile=`eval echo "$pidfile" | sed 's/\/\{1,\}/\//g'`
105ipcsocket=`eval echo "$ipcsocket" | sed 's/\/\{1,\}/\//g'`
106pcdir=`eval echo "$pcdir" | sed 's/\/\{1,\}/\//g'`
107
108cat<<EOF>Makefile.settings
109## BitlBee settings, generated by configure
110PREFIX=$prefix
111BINDIR=$bindir
112ETCDIR=$etcdir
113MANDIR=$mandir
114DATADIR=$datadir
115PLUGINDIR=$plugindir
116CONFIG=$config
117INCLUDEDIR=$includedir
118PCDIR=$pcdir
119
120TARGET=$target
121ARCH=$arch
122CPU=$cpu
123
124DESTDIR=
125LFLAGS=
126EFLAGS=
127EOF
128
129srcdir="$(dirname $0)"
130if [ "$srcdir" != "." ]; then
131        echo
132        echo "configure script run from a different directory. Will create some symlinks..."
133        if [ ! -e Makefile -o -L Makefile ]; then
134                COPYDIRS="doc lib protocols tests utils"
135                mkdir -p $(cd "$srcdir"; find $COPYDIRS -type d)
136                find . -name Makefile -type l -print0 | xargs -0 rm 2> /dev/null
137                dst="$PWD"
138                cd "$srcdir"
139                for i in $(find . -name Makefile -type f); do
140                        ln -s "$PWD${i#.}" "$dst/$i";
141                done
142                cd "$dst"
143                rm -rf .bzr
144        fi
145       
146        echo "SRCDIR=$srcdir/" >> Makefile.settings
147        CFLAGS="$CFLAGS -I${dst}"
148else
149        srcdir=$PWD
150fi
151
152cat<<EOF>config.h
153/* BitlBee settings, generated by configure
154   
155   Do *NOT* use any of these defines in your code without thinking twice, most
156   of them can/will be overridden at run-time */
157
158#define CONFIG "$config"
159#define ETCDIR "$etcdir"
160#define VARDIR "$datadir"
161#define PLUGINDIR "$plugindir"
162#define PIDFILE "$pidfile"
163#define IPCSOCKET "$ipcsocket"
164#define ARCH "$arch"
165#define CPU "$cpu"
166EOF
167
168
169
170if [ -n "$target" ]; then
171        PKG_CONFIG_LIBDIR=/usr/$target/lib/pkgconfig
172        export PKG_CONFIG_LIBDIR
173        PATH=/usr/$target/bin:$PATH
174        CC=$target-cc
175        LD=$target-ld
176        systemlibdirs="/usr/$target/lib"
177fi
178
179
180if [ "$debug" = "1" ]; then
181        [ -z "$CFLAGS" ] && CFLAGS=-g
182        echo 'DEBUG=1' >> Makefile.settings
183        CFLAGS="$CFLAGS -DDEBUG"
184else
185        [ -z "$CFLAGS" ] && CFLAGS="-O2 -fno-strict-aliasing"
186fi
187
188echo CFLAGS=$CFLAGS $CPPFLAGS >> Makefile.settings
189echo CFLAGS+=-I${srcdir} -I${srcdir}/lib -I${srcdir}/protocols -I. >> Makefile.settings
190
191echo CFLAGS+=-DHAVE_CONFIG_H >> Makefile.settings
192
193if [ -n "$CC" ]; then
194        CC=$CC
195elif type gcc > /dev/null 2> /dev/null; then
196        CC=gcc
197elif type cc > /dev/null 2> /dev/null; then
198        CC=cc
199else
200        echo 'Cannot find a C compiler, aborting.'
201        exit 1;
202fi
203
204echo "CC=$CC" >> Makefile.settings;
205if echo $CC | grep -qw gcc; then
206        # Apparently -Wall is gcc-specific?
207        echo CFLAGS+=-Wall >> Makefile.settings
208fi
209
210if [ -z "$LD" ]; then
211        if type ld > /dev/null 2> /dev/null; then
212                LD=ld
213        else
214                echo 'Cannot find ld, aborting.'
215                exit 1;
216        fi
217fi
218
219echo "LD=$LD" >> Makefile.settings
220
221if [ -z "$PKG_CONFIG" ]; then
222        PKG_CONFIG=pkg-config
223fi
224
225if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG glib-2.0; then
226        if $PKG_CONFIG glib-2.0 --atleast-version=$GLIB_MIN_VERSION; then
227                cat<<EOF>>Makefile.settings
228EFLAGS+=`$PKG_CONFIG --libs glib-2.0 gmodule-2.0`
229CFLAGS+=`$PKG_CONFIG --cflags glib-2.0 gmodule-2.0`
230EOF
231        else
232                echo
233                echo 'Found glib2 '`$PKG_CONFIG glib-2.0 --modversion`', but version '$GLIB_MIN_VERSION' or newer is required.'
234                exit 1
235        fi
236else
237        echo
238        echo 'Cannot find glib2 development libraries, aborting. (Install libglib2-dev?)'
239        exit 1
240fi
241
242if [ "$events" = "libevent" ]; then
243        if ! [ -f "${libevent}include/event.h" ]; then
244                echo
245                echo 'Warning: Could not find event.h, you might have to install it and/or specify'
246                echo 'its location using the --libevent= argument. (Example: If event.h is in'
247                echo '/usr/local/include and binaries are in /usr/local/lib: --libevent=/usr/local)'
248        fi
249       
250        echo '#define EVENTS_LIBEVENT' >> config.h
251        cat <<EOF>>Makefile.settings
252EFLAGS+=-levent -L${libevent}lib
253CFLAGS+=-I${libevent}include
254EOF
255elif [ "$events" = "glib" ]; then
256        ## We already use glib anyway, so this is all we need (and in fact not even this, but just to be sure...):
257        echo '#define EVENTS_GLIB' >> config.h
258else
259        echo
260        echo 'ERROR: Unknown event handler specified.'
261        exit 1
262fi
263echo 'EVENT_HANDLER=events_'$events'.o' >> Makefile.settings
264
265detect_gnutls()
266{
267        if $PKG_CONFIG --exists gnutls; then
268                cat <<EOF>>Makefile.settings
269EFLAGS+=`$PKG_CONFIG --libs gnutls`
270CFLAGS+=`$PKG_CONFIG --cflags gnutls`
271EOF
272                ssl=gnutls
273                ret=1
274        elif libgnutls-config --version > /dev/null 2> /dev/null; then
275                cat <<EOF>>Makefile.settings
276EFLAGS+=`libgnutls-config --libs`
277CFLAGS+=`libgnutls-config --cflags`
278EOF
279               
280                ssl=gnutls
281                ret=1;
282        else
283                ret=0;
284        fi;
285}
286
287detect_nss()
288{
289        if $PKG_CONFIG --version > /dev/null 2>/dev/null && $PKG_CONFIG mozilla-nss; then
290                cat<<EOF>>Makefile.settings
291EFLAGS+=`$PKG_CONFIG --libs mozilla-nss`
292CFLAGS+=`$PKG_CONFIG --cflags mozilla-nss`
293EOF
294               
295                ssl=nss
296                ret=1;
297        else
298                ret=0;
299        fi;
300}
301
302detect_ldap()
303{
304        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
305        if $CC -o $TMPFILE -shared -lldap 2>/dev/null >/dev/null; then
306                cat<<EOF>>Makefile.settings
307EFLAGS+=-lldap
308CFLAGS+=
309EOF
310                ldap=1
311                rm -f $TMPFILE
312                ret=1
313        else
314                ldap=0
315                ret=0
316        fi
317}
318
319RESOLV_TESTCODE='
320#include <arpa/nameser.h>
321#include <resolv.h>
322
323int main()
324{
325        ns_initparse( NULL, 0, NULL );
326        ns_parserr( NULL, ns_s_an, 0, NULL );
327}
328'
329
330detect_resolv_dynamic()
331{
332        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
333        ret=1
334        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -lresolv >/dev/null 2>/dev/null
335        if [ "$?" = "0" ]; then
336                echo 'EFLAGS+=-lresolv' >> Makefile.settings
337                ret=0
338        fi
339
340        rm -f $TMPFILE
341        return $ret
342}
343
344detect_resolv_static()
345{
346        TMPFILE=$(mktemp /tmp/bitlbee-configure.XXXXXX)
347        ret=1
348        for i in $systemlibdirs; do
349                if [ -f $i/libresolv.a ]; then
350                        echo "$RESOLV_TESTCODE" | $CC -o $TMPFILE -x c - -Wl,$i/libresolv.a >/dev/null 2>/dev/null
351                        if [ "$?" = "0" ]; then
352                                echo 'EFLAGS+='$i'/libresolv.a' >> Makefile.settings
353                                ret=0
354                        fi
355                fi
356        done
357
358        rm -f $TMPFILE
359        return $ret
360}
361
362if [ "$ssl" = "auto" ]; then
363        detect_gnutls
364        if [ "$ret" = "0" ]; then
365                detect_nss
366        fi
367elif [ "$ssl" = "gnutls" ]; then
368        detect_gnutls
369elif [ "$ssl" = "nss" ]; then
370        detect_nss
371elif [ "$ssl" = "sspi" ]; then
372        echo
373elif [ "$ssl" = "openssl" ]; then
374        echo
375        echo 'No detection code exists for OpenSSL. Make sure that you have a complete'
376        echo 'install of OpenSSL (including devel/header files) before reporting'
377        echo 'compilation problems.'
378        echo
379        echo 'Also, keep in mind that the OpenSSL is, according to some people, not'
380        echo 'completely GPL-compatible. Using GnuTLS or NSS is recommended and better'
381        echo 'supported by us. However, on many BSD machines, OpenSSL can be considered'
382        echo 'part of the operating system, which makes it GPL-compatible.'
383        echo
384        echo 'For more info, see: http://www.openssl.org/support/faq.html#LEGAL2'
385        echo '                    http://www.gnome.org/~markmc/openssl-and-the-gpl.html'
386        echo
387        echo 'Please note that distributing a BitlBee binary which links to OpenSSL is'
388        echo 'probably illegal. If you want to create and distribute a binary BitlBee'
389        echo 'package, you really should use GnuTLS or NSS instead.'
390        echo
391        echo 'Also, the OpenSSL license requires us to say this:'
392        echo ' *    "This product includes software developed by the OpenSSL Project'
393        echo ' *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)"'
394       
395        echo 'EFLAGS+=-lssl -lcrypto' >> Makefile.settings
396       
397        ret=1
398elif [ "$ssl" = "bogus" ]; then
399        echo
400        echo 'Using bogus SSL code. This means some features will not work properly.'
401       
402        ## Yes, you, at the console! How can you authenticate if you don't have any SSL!?
403        if [ "$msn" = "1" -o "$yahoo" = "1" ]; then
404                echo
405                echo 'WARNING: The MSN and Yahoo! modules will not work without SSL. Disabling.'
406                msn=0
407                yahoo=0
408        fi
409       
410        ret=1
411else
412        echo
413        echo 'ERROR: Unknown SSL library specified.'
414        exit 1
415fi
416
417if [ "$ret" = "0" ]; then
418        echo
419        echo 'ERROR: Could not find a suitable SSL library (GnuTLS, libnss or OpenSSL).'
420        echo '       Please note that this script doesn'\''t have detection code for OpenSSL,'
421        echo '       so if you want to use that, you have to select it by hand. If you don'\''t'
422        echo '       need SSL support, you can select the "bogus" SSL library. (--ssl=bogus)'
423       
424        exit 1
425fi;
426
427echo 'SSL_CLIENT=ssl_'$ssl'.o' >> Makefile.settings
428
429if detect_resolv_dynamic || detect_resolv_static; then
430        echo '#define HAVE_RESOLV_A' >> config.h
431fi
432
433STORAGES="xml"
434
435if [ "$ldap" = "auto" ]; then
436        detect_ldap
437fi
438
439if [ "$ldap" = 0 ]; then
440        echo "#undef WITH_LDAP" >> config.h
441elif [ "$ldap" = 1 ]; then
442        echo
443        echo 'LDAP support is a work in progress and does NOT work AT ALL right now.'
444        echo
445        exit 1
446       
447        echo "#define WITH_LDAP 1" >> config.h
448        STORAGES="$STORAGES ldap"
449fi
450
451for i in $STORAGES; do
452        STORAGE_OBJS="$STORAGE_OBJS storage_$i.o"
453done
454echo "STORAGE_OBJS="$STORAGE_OBJS >> Makefile.settings
455
456if [ "$strip" = 0 ]; then
457        echo "STRIP=\# skip strip" >> Makefile.settings;
458else
459        if [ "$debug" = 1 ]; then
460                echo
461                echo 'Stripping binaries does not make sense when debugging. Stripping disabled.'
462                echo 'STRIP=\# skip strip' >> Makefile.settings
463                strip=0;
464        elif [ -n "$STRIP" ]; then
465                echo "STRIP=$STRIP" >> Makefile.settings;
466        elif type strip > /dev/null 2> /dev/null; then
467                echo "STRIP=strip" >> Makefile.settings;
468        else
469                echo
470                echo 'No strip utility found, cannot remove unnecessary parts from executable.'
471                echo 'STRIP=\# skip strip' >> Makefile.settings
472                strip=0;
473        fi;
474fi
475
476if [ "$gcov" = "1" ]; then
477        echo "CFLAGS+=--coverage" >> Makefile.settings
478        echo "EFLAGS+=--coverage" >> Makefile.settings
479fi
480
481if [ "$plugins" = 0 ]; then
482        echo '#undef WITH_PLUGINS' >> config.h
483else
484        echo '#define WITH_PLUGINS' >> config.h
485fi
486
487otrprefix=""
488for i in / /usr /usr/local; do
489        if [ -f ${i}/lib/libotr.a ]; then
490                otrprefix=${i}
491                break
492        fi
493done
494if [ "$otr" = "auto" ]; then
495        if [ -n "$otrprefix" ]; then
496                otr=1
497        else
498                otr=0
499        fi
500fi
501if [ "$otr" = 1 ]; then
502        echo '#define WITH_OTR' >> config.h
503        echo "EFLAGS+=-L${otrprefix}/lib -lotr" >> Makefile.settings
504        echo "CFLAGS+=-I${otrprefix}/include" >> Makefile.settings
505else
506        echo '#undef WITH_OTR' >> config.h
507fi
508
509if [ ! -e doc/user-guide/help.txt ] && ! type xmlto > /dev/null 2> /dev/null; then
510        echo
511        echo 'WARNING: Building from an unreleased source tree without prebuilt helpfile.'
512        echo 'Install xmlto if you want online help to work.'
513fi
514
515echo
516if [ -z "$BITLBEE_VERSION" -a -d .bzr ] && type bzr > /dev/null 2> /dev/null; then
517        nick=`bzr nick`
518        if [ -n "$nick" -a "$nick" != "bitlbee" ]; then
519                nick="-$nick"
520        else
521                nick=""
522        fi
523        rev=`bzr revno`
524        echo 'Using bzr revision #'$rev' as version number'
525        BITLBEE_VERSION=\"bzr$nick-$rev\"
526fi
527
528if [ -n "$BITLBEE_VERSION" ]; then
529        echo 'Spoofing version number: '$BITLBEE_VERSION
530        echo '#undef BITLBEE_VERSION' >> config.h
531        echo '#define BITLBEE_VERSION '$BITLBEE_VERSION >> config.h
532        echo
533fi
534
535if ! make helloworld > /dev/null 2>&1; then
536        echo "WARNING: Your version of make (BSD make?) does not support BitlBee's makefiles."
537        echo "BitlBee needs GNU make to build properly. On most systems GNU make is available"
538        echo "under the name 'gmake'."
539        echo
540        if gmake helloworld > /dev/null 2>&1; then
541                echo "gmake seems to be available on your machine, great."
542                echo
543        else
544                echo "gmake is not installed (or not working). Please try to install it."
545                echo
546        fi
547fi
548
549cat <<EOF>bitlbee.pc
550prefix=$prefix
551includedir=$includedir
552
553Name: bitlbee
554Description: IRC to IM gateway
555Requires: glib-2.0
556Version: $BITLBEE_VERSION
557Libs:
558Cflags: -I\${includedir}
559
560EOF
561
562protocols=''
563protoobjs=''
564
565if [ "$purple" = 0 ]; then
566        echo '#undef WITH_PURPLE' >> config.h
567else
568        if ! $PKG_CONFIG purple; then
569                echo
570                echo 'Cannot find libpurple development libraries, aborting. (Install libpurple-dev?)'
571                exit 1
572        fi
573        echo '#define WITH_PURPLE' >> config.h
574        cat<<EOF>>Makefile.settings
575EFLAGS += $($PKG_CONFIG purple --libs)
576PURPLE_CFLAGS += $($PKG_CONFIG purple --cflags)
577EOF
578        protocols=$protocols'purple '
579        protoobjs=$protoobjs'purple_mod.o '
580
581        # Having both libpurple and native IM modules in one binary may
582        # do strange things. Let's not do that.
583        msn=0
584        jabber=0
585        oscar=0
586        yahoo=0
587        twitter=0
588       
589        if [ "$events" = "libevent" ]; then
590                echo
591                echo 'Warning: Some libpurple modules (including msn-pecan) do their event handling'
592                echo 'outside libpurple, talking to GLib directly. At least for now the combination'
593                echo 'libpurple + libevent is *not* recommended!'
594        fi
595fi
596
597if [ "$msn" = 0 ]; then
598        echo '#undef WITH_MSN' >> config.h
599else
600        echo '#define WITH_MSN' >> config.h
601        protocols=$protocols'msn '
602        protoobjs=$protoobjs'msn_mod.o '
603fi
604
605if [ "$jabber" = 0 ]; then
606        echo '#undef WITH_JABBER' >> config.h
607else
608        echo '#define WITH_JABBER' >> config.h
609        protocols=$protocols'jabber '
610        protoobjs=$protoobjs'jabber_mod.o '
611fi
612
613if [ "$oscar" = 0 ]; then
614        echo '#undef WITH_OSCAR' >> config.h
615else
616        echo '#define WITH_OSCAR' >> config.h
617        protocols=$protocols'oscar '
618        protoobjs=$protoobjs'oscar_mod.o '
619fi
620
621if [ "$yahoo" = 0 ]; then
622        echo '#undef WITH_YAHOO' >> config.h
623else
624        echo '#define WITH_YAHOO' >> config.h
625        protocols=$protocols'yahoo '
626        protoobjs=$protoobjs'yahoo_mod.o '
627fi
628
629if [ "$twitter" = 0 ]; then
630        echo '#undef WITH_TWITTER' >> config.h
631else
632        echo '#define WITH_TWITTER' >> config.h
633        protocols=$protocols'twitter '
634        protoobjs=$protoobjs'twitter_mod.o '
635fi
636
637if [ "$protocols" = "PROTOCOLS = " ]; then
638        echo "Warning: You haven't selected any communication protocol to compile!"
639        echo "         BitlBee will run, but you will be unable to connect to IM servers!"
640fi
641
642echo "PROTOCOLS = $protocols" >> Makefile.settings
643echo "PROTOOBJS = $protoobjs" >> Makefile.settings
644
645echo Architecture: $arch
646case "$arch" in
647Linux )
648;;
649GNU/* )
650;;
651*BSD )
652;;
653Darwin )
654        echo 'STRIP=\# skip strip' >> Makefile.settings
655;;
656IRIX )
657;;
658SunOS )
659        echo 'EFLAGS+=-lresolv -lnsl -lsocket' >> Makefile.settings
660        echo 'STRIP=\# skip strip' >> Makefile.settings
661;;
662AIX )
663        echo 'EFLAGS+=-Wl,-brtl' >> Makefile.settings
664;;
665CYGWIN* )
666        echo 'Cygwin is not officially supported.'
667;;
668Windows )
669;;
670* )
671        echo 'We haven'\''t tested BitlBee on many platforms yet, yours is untested. YMMV.'
672        echo 'Please report any problems at http://bugs.bitlbee.org/.'
673;;
674esac
675
676if [ -n "$target" ]; then
677        echo "Cross-compiling for: $target"
678fi
679
680echo
681echo 'Configuration done:'
682
683if [ "$debug" = "1" ]; then
684        echo '  Debugging enabled.'
685else
686        echo '  Debugging disabled.'
687fi
688
689if [ "$strip" = "1" ]; then
690        echo '  Binary stripping enabled.'
691else
692        echo '  Binary stripping disabled.'
693fi
694
695if [ "$otr" = "1" ]; then
696        echo '  Off-the-Record (OTR) Messaging enabled.'
697else
698        echo '  Off-the-Record (OTR) Messaging disabled.'
699fi
700
701echo '  Using event handler: '$events
702echo '  Using SSL library: '$ssl
703echo '  Building with these storage backends: '$STORAGES
704
705if [ -n "$protocols" ]; then
706        echo '  Building with these protocols:' $protocols
707else
708        echo '  Building without IM-protocol support. We wish you a lot of fun...'
709fi
Note: See TracBrowser for help on using the repository browser.